# ListJurisdictionsByAddress

List jurisdictions near a specific address

`GET /api/v2/definitions/jurisdictionsnearaddress`

**API:** AvaTax API
**Tag:** Definitions
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Definitions/ListJurisdictionsByAddress/

## Description

Returns a list of all Avalara-supported taxing jurisdictions that apply to this address.
            
This API allows you to identify which jurisdictions are nearby a specific address according to the best available geocoding information.
It is intended to allow you to create a "Jurisdiction Override", which allows an address to be configured as belonging to a nearby
jurisdiction in AvaTax.
            
The results of this API call can be passed to the `CreateJurisdictionOverride` API call.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `line1` | string | query | No | The first address line portion of this address. |
| `line2` | string | query | No | The second address line portion of this address. |
| `line3` | string | query | No | The third address line portion of this address. |
| `city` | string | query | No | The city portion of this address. |
| `region` | string | query | No | The region, state, or province code portion of this address. |
| `postalCode` | string | query | No | The postal code or zip code portion of this address. |
| `country` | string | query | Yes | The two-character ISO-3166 code of the country portion of this address. |
| `$filter` | string | query | No | A filter statement to identify specific records to retrieve.  For more information on filtering, see [Filtering in REST](http://developer.avalara.com/avatax/filtering-in-rest/).*Not filterable:* country, Jurisdictions |
| `$top` | integer | query | No | If nonzero, return no more than this number of results.  Used with `$skip` to provide pagination for large datasets.  Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records. |
| `$skip` | integer | query | No | If nonzero, skip this number of results before returning data.  Used with `$top` to provide pagination for large datasets. |
| `$orderBy` | string | query | No | A comma separated list of sort statements in the format `(fieldname) [ASC|DESC]`, for example `id ASC`. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `JurisdictionOverrideModelFetchResult` |

### 200 Response: `JurisdictionOverrideModelFetchResult`

| Property | Type | Required | Description |
|---|---|---|---|
| `@recordsetCount` | integer | No |  |
| `value` | JurisdictionOverrideModel[] | No |  |
| `@nextLink` | string | No |  |
| `pageKey` | string | No |  |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/definitions/jurisdictionsnearaddress" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```